<div class="row text-center">
  <div class="col-md-6">
    <div class="btn-group">
      <div class="btn btn-primary" mwlCalendarPreviousView [view]="view" [(viewDate)]="viewDate">
        Précédent
      </div>
      <div class="btn btn-outline-secondary" mwlCalendarToday [(viewDate)]="viewDate">
        Aujourd'hui
      </div>
      <div class="btn btn-primary" mwlCalendarNextView [view]="view" [(viewDate)]="viewDate">
        Suivant
      </div>
    </div>
  </div>
  <div class="col-md-6">
    <h3>
      {{ viewDate | calendarDate:('weekViewTitle'):locale:weekStartsOn }}
    </h3>
  </div>
  <div class="col-md-6">
    <div class="btn-group">
      <div class="btn btn-primary" (click)="setView(CalendarView.Week)" [class.active]="view === CalendarView.Week">
        Vue réduite
      </div>
      <div class="btn btn-primary" (click)="setView(CalendarView.Day)" [class.active]="view === CalendarView.Day">
        Vue complète
      </div>
    </div>
  </div>
</div>
<br />



<div [ngSwitch]="view">
  <mwl-calendar-week-view *ngSwitchCase="'week'" [viewDate]="viewDate" [events]="events" [locale]="locale"
    [weekStartsOn]="weekStartsOn" [weekendDays]="weekendDays" [hourSegments]="4"
    (hourSegmentClicked)="verifDate($event.date)" (beforeViewRender)="beforeWeekViewRender($event)"
    [refresh]="refresh" [dayStartHour]="7" [dayEndHour]="22" [hourSegmentHeight]="25"
    >
  </mwl-calendar-week-view>
  <mwl-calendar-week-view
      *ngSwitchCase="'day'"
      [viewDate]="viewDate" [events]="events" [locale]="locale"
    [weekStartsOn]="weekStartsOn" [weekendDays]="weekendDays" [hourSegments]="4"
    (hourSegmentClicked)="verifDate($event.date)" (beforeViewRender)="beforeWeekViewRender($event)"
    [refresh]="refresh" [hourSegmentHeight]="25"
    >
    </mwl-calendar-week-view>
</div>